import { createContext } from 'react';
import PropTypes from 'prop-types';
import Domain from './domain/index.js';
import useI18nInitializer from './hooks/useI18nInitializer.js';
import { NO_OP, STAGE_PASSWORD_CHANGE, STAGE_PASSWORD_RESET_START } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
export var PasswordResetContext = /*#__PURE__*/createContext();
var PasswordResetProvider = function PasswordResetProvider(_ref) {
  var children = _ref.children,
    _ref$defaultStage = _ref.defaultStage,
    defaultStage = _ref$defaultStage === void 0 ? STAGE_PASSWORD_RESET_START : _ref$defaultStage,
    _ref$endpoints = _ref.endpoints,
    endpoints = _ref$endpoints === void 0 ? {} : _ref$endpoints,
    customI18n = _ref.i18n,
    _ref$onEvent = _ref.onEvent,
    onEvent = _ref$onEvent === void 0 ? NO_OP : _ref$onEvent;
  var domain = new Domain();
  var config = domain.get('config');
  config.set('RESET_PASSWORD_ENDPOINT', endpoints.resetPassword);
  config.set('CHANGE_PASSWORD_ENDPOINT', endpoints.changePassword);
  var i18n = useI18nInitializer(config.get('DEFAULT_CULTURE'), config.get('DEFAULT_CURRENCY'));
  var value = {
    props: {
      defaultStage: defaultStage,
      endpoints: endpoints,
      i18n: customI18n,
      onEvent: onEvent
    },
    domain: domain,
    i18n: i18n
  };
  return /*#__PURE__*/_jsx(PasswordResetContext.Provider, {
    value: value,
    children: children
  });
};
export { PasswordResetProvider };