import _extends from "@babel/runtime/helpers/esm/extends";
import { EntryPointFactory } from '@s-ui/domain';
import Config from './config.js';
var importPasswordFactory = function importPasswordFactory() {
  return import('./password/UseCases/factory.js');
};
var passwordUseCases = {
  change_password_use_case: [importPasswordFactory, 'changePasswordUseCase'],
  reset_password_use_case: [importPasswordFactory, 'resetPasswordUseCase'],
  validate_email_password_use_case: [importPasswordFactory, 'validateEmailPasswordUseCase'],
  validate_password_use_case: [importPasswordFactory, 'validatePasswordUseCase']
};
var useCases = _extends({}, passwordUseCases);
export default EntryPointFactory({
  config: new Config(),
  useCases: useCases
});