import { EmptyEmailPasswordError } from './EmptyEmailPasswordError.js';
import { EmptyPasswordError } from './EmptyPasswordError.js';
import { InvalidEmailPasswordError } from './InvalidEmailPasswordError.js';
import { InvalidPasswordError } from './InvalidPasswordError.js';
import { PasswordError } from './PasswordError.js';
export var PasswordErrorsFactory = function PasswordErrorsFactory() {};
PasswordErrorsFactory.passwordError = function (msg) {
  return new PasswordError(msg);
};
PasswordErrorsFactory.emptyEmailPasswordError = function () {
  return new EmptyEmailPasswordError();
};
PasswordErrorsFactory.invalidEmailPasswordError = function () {
  return new InvalidEmailPasswordError();
};
PasswordErrorsFactory.emptyPasswordError = function () {
  return new EmptyPasswordError();
};
PasswordErrorsFactory.invalidPasswordError = function () {
  return new InvalidPasswordError();
};