import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { ValueObject } from '@s-ui/domain';
export var ChangePasswordRequest = /*#__PURE__*/function (_ValueObject) {
  _inheritsLoose(ChangePasswordRequest, _ValueObject);
  function ChangePasswordRequest() {
    return _ValueObject.apply(this, arguments) || this;
  }
  var _proto = ChangePasswordRequest.prototype;
  _proto.getPassword = function getPassword() {
    return this._password;
  };
  _proto.getToken = function getToken() {
    return this._token;
  };
  ChangePasswordRequest.validate = function validate(_ref) {
    var password = _ref.password,
      emptyPasswordErrorFactory = _ref.emptyPasswordErrorFactory,
      invalidPasswordErrorFactory = _ref.invalidPasswordErrorFactory;
    if (password.length === 0) {
      throw emptyPasswordErrorFactory();
    }
    var isValidPassword = password.length >= 8;
    if (!isValidPassword) {
      throw invalidPasswordErrorFactory();
    }
  };
  return ChangePasswordRequest;
}(ValueObject);