import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { ValueObject } from '@s-ui/domain';
export var ResetPasswordRequest = /*#__PURE__*/function (_ValueObject) {
  _inheritsLoose(ResetPasswordRequest, _ValueObject);
  function ResetPasswordRequest() {
    return _ValueObject.apply(this, arguments) || this;
  }
  var _proto = ResetPasswordRequest.prototype;
  _proto.getEmail = function getEmail() {
    return this._email;
  };
  ResetPasswordRequest.validate = function validate(_ref) {
    var email = _ref.email,
      emptyEmailPasswordErrorFactory = _ref.emptyEmailPasswordErrorFactory,
      invalidEmailPasswordErrorFactory = _ref.invalidEmailPasswordErrorFactory;
    if (email.length === 0) {
      throw emptyEmailPasswordErrorFactory();
    }
    var emailRegex = /(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))/;
    var isValidEmail = emailRegex.test(email);
    if (!isValidEmail) {
      throw invalidEmailPasswordErrorFactory();
    }
  };
  return ResetPasswordRequest;
}(ValueObject);