import { PasswordErrorsFactory } from '../Errors/factory.js';
import { ChangePasswordRequest } from './ChangePasswordRequest.js';
import { ResetPasswordRequest } from './ResetPasswordRequest.js';
export var PasswordRequestsFactory = function PasswordRequestsFactory() {};
PasswordRequestsFactory.changePasswordRequest = function (_ref) {
  var password = _ref.password,
    token = _ref.token;
  ChangePasswordRequest.validate({
    password: password,
    emptyPasswordErrorFactory: PasswordErrorsFactory.emptyPasswordError,
    invalidPasswordErrorFactory: PasswordErrorsFactory.invalidPasswordError
  });
  return new ChangePasswordRequest({
    password: password,
    token: token
  });
};
PasswordRequestsFactory.resetPasswordRequest = function (_ref2) {
  var email = _ref2.email;
  ResetPasswordRequest.validate({
    email: email,
    emptyEmailPasswordErrorFactory: PasswordErrorsFactory.emptyEmailPasswordError,
    invalidEmailPasswordErrorFactory: PasswordErrorsFactory.invalidEmailPasswordError
  });
  return new ResetPasswordRequest({
    email: email
  });
};