import _extends from "@babel/runtime/helpers/esm/extends";
import { STATUSES } from '@s-ui/react-molecule-progress-steps';
import { STAGE_PASSWORD_RESET_START } from '../../config.js';
import useGetCurrentToken from '../useGetCurrentToken.js';
import useI18n from '../useI18n.js';
var useGetStageInfoStep = function useGetStageInfoStep() {
  var i18n = useI18n();
  var _useGetCurrentToken = useGetCurrentToken(),
    getCurrentToken = _useGetCurrentToken.getCurrentToken;
  var _getCurrentToken = getCurrentToken(),
    stage = _getCurrentToken.stage;
  var defaultStageInfoData = {
    title: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.TITLE'),
    message: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.MESSAGE'),
    initialStepperState: {
      label: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.LABEL'),
      status: STATUSES.ACTIVE
    },
    endStepperState: {
      label: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.LABEL'),
      status: STATUSES.NORMAL
    }
  };
  var getStageInfoData = function getStageInfoData() {
    if (stage === STAGE_PASSWORD_RESET_START) {
      return defaultStageInfoData;
    }
    return _extends({}, defaultStageInfoData, {
      title: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.TITLE'),
      message: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.MESSAGE'),
      initialStepperState: _extends({}, defaultStageInfoData.initialStepperState, {
        status: STATUSES.VISITED
      }),
      endStepperState: _extends({}, defaultStageInfoData.endStepperState, {
        status: STATUSES.ACTIVE
      })
    });
  };
  return {
    getStageInfoData: getStageInfoData
  };
};
export default useGetStageInfoStep;