import _extends from "@babel/runtime/helpers/esm/extends";
import { useReducer } from 'react';
var usePasswordChangeFormState = function usePasswordChangeFormState() {
  var initialState = {
    defaultDisabledSubmitButton: true,
    newPassword: '',
    repeatPassword: '',
    isLoading: false,
    newPasswordErrorText: '',
    repeatPasswordErrorText: '',
    notification: {
      text: '',
      isError: false
    }
  };
  var reducer = function reducer(state, action) {
    switch (action.type) {
      case 'SET_NEW_PASSWORD':
        return _extends({}, state, {
          defaultDisabledSubmitButton: false,
          newPassword: action.payload.newPassword,
          newPasswordErrorText: action.payload.newPasswordErrorText,
          repeatPasswordErrorText: action.payload.repeatPasswordErrorText,
          isLoading: false
        });
      case 'SET_REPEAT_PASSWORD':
        return _extends({}, state, {
          defaultDisabledSubmitButton: false,
          repeatPassword: action.payload.repeatPassword,
          newPasswordErrorText: action.payload.newPasswordErrorText,
          repeatPasswordErrorText: action.payload.repeatPasswordErrorText,
          isLoading: false
        });
      case 'SET_NOTIFICATION':
        return _extends({}, state, {
          notification: {
            text: action.payload.text,
            isError: action.payload.isError
          },
          isLoading: false
        });
      case 'SET_LOADING':
        return _extends({}, state, {
          isLoading: action.payload
        });
      default:
        return state;
    }
  };
  var _useReducer = useReducer(reducer, initialState),
    state = _useReducer[0],
    dispatch = _useReducer[1];

  // Action for each of the above
  var setNewPassword = function setNewPassword(_ref) {
    var newPassword = _ref.newPassword,
      newPasswordErrorText = _ref.newPasswordErrorText,
      repeatPasswordErrorText = _ref.repeatPasswordErrorText;
    dispatch({
      type: 'SET_NEW_PASSWORD',
      payload: {
        newPassword: newPassword,
        newPasswordErrorText: newPasswordErrorText,
        repeatPasswordErrorText: repeatPasswordErrorText
      }
    });
  };
  var setRepeatPassword = function setRepeatPassword(_ref2) {
    var repeatPassword = _ref2.repeatPassword,
      repeatPasswordErrorText = _ref2.repeatPasswordErrorText,
      newPasswordErrorText = _ref2.newPasswordErrorText;
    dispatch({
      type: 'SET_REPEAT_PASSWORD',
      payload: {
        repeatPassword: repeatPassword,
        repeatPasswordErrorText: repeatPasswordErrorText,
        newPasswordErrorText: newPasswordErrorText
      }
    });
  };
  var setNotification = function setNotification(_ref3) {
    var text = _ref3.text,
      isError = _ref3.isError;
    dispatch({
      type: 'SET_NOTIFICATION',
      payload: {
        text: text,
        isError: isError
      }
    });
  };
  var setIsLoading = function setIsLoading(isLoading) {
    dispatch({
      type: 'SET_LOADING',
      payload: isLoading
    });
  };
  return {
    state: state,
    setNewPassword: setNewPassword,
    setRepeatPassword: setRepeatPassword,
    setNotification: setNotification,
    setIsLoading: setIsLoading
  };
};
export default usePasswordChangeFormState;