import { useContext } from 'react';
import { PasswordResetContext } from '../context.js';
var useI18n = function useI18n() {
  var _useContext = useContext(PasswordResetContext),
    customI18n = _useContext.props.i18n,
    i18n = _useContext.i18n;
  var translateKey = function translateKey(key) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    if (customI18n !== undefined) {
      var translatedText = customI18n.t.apply(customI18n, [key].concat(args));
      if (translatedText !== key) {
        return translatedText;
      }
    }
    return i18n.t.apply(i18n, [key].concat(args));
  };
  return {
    t: translateKey
  };
};
export default useI18n;